#pragma once

#include <vector>
#include <opencv/cv.h>

using namespace std;
using namespace cv;

class PawPrint;

class Formation
{

	public:
	
		static const int VERTICAL_LINE;
		static const int DIAGONAL_LINE;
		static const int HORIZONTAL_LINE;
		static const int CIRCLE;
	
		static void getFormationPoints(int, vector<Point2f>&, Size);
		static int getClosestPointToPrint(vector<Point2f>, PawPrint*);
		static int getFurthestPrintFromPoint(Point2f, vector<PawPrint*>);

		static int nextFormation();

	private:

		static int currentFormation;

};
