#pragma once

#include <opencv/cv.h>
#include <opencv/highgui.h>

using namespace cv;

class Camera
{

	public:
	
		Camera();
		~Camera();
		
		void beginCalibration();
		Mat getRawFrame();
		Mat getUndistortedFrame();
	
	private:
	
		VideoCapture capture;
		
		Mat intrinsic;
		Mat distCoeffs;

};
