#pragma once

#include <opencv/cv.h>
#include <vector>

using namespace cv;
using namespace std;

class PawPrint
{

	public:
	
		PawPrint(Point2f, Point2f, int);
	
		Point2f getCenter();
		Point2f getDigit();
		Point2f getOrientation();
		
		int getID();
		
		void draw(Mat&);
	
	private:

		Point2f center;
		Point2f digit;
		int id;

};
