#pragma once

#include "Serial.h"

#include <vector>
#include <opencv/cv.h>

using namespace std;
using namespace cv;

class PawPrint;

class RobotComm
{

	public:
	
		static void init(int);
		static void kill();
		
		static void controlComms(vector<Point2f>&, vector<PawPrint*>&);
		
	private:
	
		static CSerial serial;
		static bool initialized;

		static char getTargetByte(PawPrint*, Point2f);

};
